unit UTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TransBtn, StdCtrls, ExtCtrls,Buttons;

type
  TForm1 = class(TForm)
    Image1: TImage;
    TransparentButton1: TTransparentButton;
    TransparentButton2: TTransparentButton;
    TransparentButton3: TTransparentButton;
    TransparentButton7: TTransparentButton;
    TransparentButton8: TTransparentButton;
    TransparentButton9: TTransparentButton;
    TransparentButton4: TTransparentButton;
    TransparentButton6: TTransparentButton;
    TransparentButton10: TTransparentButton;
    TransparentButton11: TTransparentButton;
    procedure FormPaint(Sender: TObject);
    procedure TransparentButton1MouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure TransparentButton1MouseUp(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure TransparentButton1MouseEnter(Sender: TObject);
    procedure TransparentButton1MouseExit(Sender: TObject);
    procedure TB1Click(Sender: TObject);
    procedure TransparentButton4MouseMove(Sender: TObject;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
implementation

{$R *.DFM}

{ tile the background }
procedure TForm1.FormPaint(Sender: TObject);
var
  X, Y, W, H: LongInt;
begin
  with Image1.Picture.Bitmap do begin
    W := Width;
    H := Height;
  end;
  Y := 0;
  while Y < Height do begin
    X := 0;
    while X < Width do begin
      Canvas.Draw(X, Y, Image1.Picture.Bitmap);
      Inc(X, W);
    end;
    Inc(Y, H);
  end;
end;

procedure TForm1.TransparentButton1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     Form1.Caption := 'Down';
end;

procedure TForm1.TransparentButton1MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     Form1.Caption := 'Up';

end;

procedure TForm1.TransparentButton1MouseEnter(Sender: TObject);
begin
     Form1.Caption := 'MouseEnter';
end;

procedure TForm1.TransparentButton1MouseExit(Sender: TObject);
begin
     Form1.Caption := 'MouseExit';
end;

procedure TForm1.TB1Click(Sender: TObject);
begin
    Form1.Caption := 'Clicked';
end;

procedure TForm1.TransparentButton4MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
    Form1.Caption := 'MouseMove';
end;

end.

